from NeoBoard import NeoBoard, manage_addNeoBoardForm_NB, manage_addNeoBoard_NB, stylesheet
from NB_Theme import NB_ThemeFolder, manage_addNeoBoardThemeFolderForm_NB, manage_addNeoBoardThemeFolder_NB, manage_addNeoBoardThemeForm_NB
import NB_ExternalFile
import NeoBoardArticle
from Globals import ImageFile

def initialize(context):
    context.registerClass(
        NeoBoard, 
        constructors = (manage_addNeoBoardForm_NB, manage_addNeoBoard_NB),
        permission = 'Add NeoBoard',
        icon = 'www/neoboard.gif'
        )

    context.registerClass(
        NB_ThemeFolder, 
        constructors = (manage_addNeoBoardThemeFolderForm_NB, manage_addNeoBoardThemeFolder_NB),
        permission = 'Add NeoBoard Theme Folder',
        icon = 'www/theme_folder.gif'
        )

methods={ 
	'manage_addNeoBoardThemeFolderForm_NB': NB_Theme.manage_addNeoBoardThemeFolderForm_NB,
	'manage_editNeoBoardThemeFolderForm_NB': NB_Theme.manage_editNeoBoardThemeFolderForm_NB,
	'manage_addNeoBoardThemeForm_NB': NB_Theme.manage_addNeoBoardThemeForm_NB,
	'manage_addNeoBoardTheme_NB': NB_Theme.manage_addNeoBoardTheme_NB,

	'manage_addNeoBoardForm_NB': manage_addNeoBoardForm_NB,
	'manage_addNeoBoard_NB': manage_addNeoBoard_NB,

	'addNeoBoardArticle_NB': NeoBoardArticle.addNeoBoardArticle_NB,	
	
	'manage_addExternalFile_NB': NB_ExternalFile.manage_addExternalFile_NB,
	
	'getNeoBoardThemeFolder_NB': NeoBoard.getNeoBoardThemeFolder_NB,
	'getThemeObject_NB': NeoBoard.getThemeObject_NB,
	'getMailHosts_NB': NeoBoard.getMailHosts_NB,
	'getThemes_NB': NeoBoard.getThemes_NB,
	'getTheme_NB': NeoBoard.getTheme_NB,
	'getThemeID_NB': NeoBoard.getThemeID_NB,
	'getDefaultTheme_NB': NeoBoard.getDefaultTheme_NB,
	'getAllowedCharsets_NB': NeoBoard.getAllowedCharsets_NB,
	'getAllowedLanguages_NB': NeoBoard.getAllowedLanguages_NB,
	'getMessage_NB': NeoBoard.getMessage_NB,
	'getNeoBoardStyleSheet_NB': stylesheet,
}

misc_={
       'neoboard_icon': ImageFile('www/neoboard.gif',globals()),
       'theme_icon': ImageFile('www/theme.gif',globals()),
       'theme_folder_icon': ImageFile('www/theme_folder.gif',globals()),
       'neoboard_article_icon': ImageFile('www/neoboard_article.gif',globals()),
       'external_file_icon': ImageFile('www/external_file.gif',globals()),
      } 